import { r as registerInstance, h, H as Host } from './index-7ec78587.js';

const akordVideoViewerCss = "akord-video-viewer .pg-viewer-wrapper .video-container{align-items:center;display:flex;flex-direction:row;height:100%;justify-content:center;width:100%}";

let AkordVideoViewer = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.isLoading = true;
  }
  onCanPlay() {
    this.isLoading = false;
  }
  render() {
    return (h(Host, { style: { display: 'block', textAlign: '-webkit-center' } }, h("video", { controls: true, onCanPlay: () => this.onCanPlay(), src: this.src, style: { height: `${this.height}px` } }, "Video playback is not supported by your browser.")));
  }
};
AkordVideoViewer.style = akordVideoViewerCss;

export { AkordVideoViewer as akord_video_viewer };
